source: CPL/oasis3/trunk/util/compile/frames/include/Check_libs.h @ 1677

Last change on this file since 1677 was 1677, checked in by aclsce, 12 years ago

Imported oasis3 (tag ipslcm5a) from cvs server to svn server (igcmg project).

File size: 2.0 KB
Line 
1#
2# Update external libraries
3#
4if [ "$MAKETARGET" = "all" ] || [ "$MAKETARGET" = "lib" ]; then
5  if [ "$srclibs" != " " ]; then
6    echo ' '
7    echo 'Checking the libraries ...'
8    if [ ! -$SRCROOT/util/COMP_libs.${NODE} ]; then
9      echo --- $SRCROOT/util/COMP_libs.${NODE} must be created first! ---
10      echo --- Use $SRCROOT/util/compile/frames/Create_COMP_libs.frm. ---
11      echo --- This script is stopped!
12      exit 1
13    fi
14    COMP_libs.${NODE} "all" "${srclibs}" "${CHAN}" "${MODEL_DIR}"
15    echo 'Checking the libraries finished '
16    echo ' '
17    echo ' '
18    echo 'Library update exit status : '
19    cat $BLDROOT/lib.status
20    set +e
21    grep -v ': 0' $BLDROOT/lib.status
22    if [ $? != 0 ]; then
23      echo 'Libraries OK'
24      echo ' '
25    else
26      echo "ERROR in $SRCROOT/util : Libraries not updated!"
27      echo "Check the log file for details!"
28      echo ' '
29      exit 1
30    fi
31    rm $BLDROOT/lib.status
32    set -e
33  fi
34fi
35
36#
37# Update submodel
38#
39if [ "$MAKETARGET" = "all" ] || [ "$MAKETARGET" = "clean" ]; then
40  if [ "${SUBMOD1}" != ""  ]; then
41    echo ' '
42    echo 'Checking the submodel '${SUBMOD1}
43    COMP_submodel=$SRCROOT/src/mod/${SUBMOD1}/COMP_${SUBMOD1}${MODVERS}.${NODE}
44    if [ ! -f ${COMP_submodel} ]; then
45      echo --- ${COMP_submodel} must be created first! ---
46      echo --- Use $SRCROOT/util/compile/frames/Create_COMP_models.frm. ---
47      echo --- This script is stopped!
48      exit 1
49    fi
50    cpl_to=${cpl_to}" "${MODEL_DIR}
51    ${COMP_submodel} "${MAKETARGET}" "${CHAN}"
52    echo 'Checking the submodel finished '
53    echo ' '
54    echo 'Submodel update exit status : '
55    cat $BLDROOT/${SUBMOD1}.status
56    set +e
57    grep -v ': 0' $BLDROOT/${SUBMOD1}.status
58    if [ $? != 0 ]; then
59      echo 'Submodel '${SUBMOD1}' OK'
60      echo ' '
61    else
62      echo "ERROR in $SRCROOT/src/mod/${SUBMOD1} : Submodel not updated!"
63      echo "Check the log file for details!"
64      echo ' '
65      exit 1
66    fi
67    rm $BLDROOT/${SUBMOD1}.status
68    set -e
69  fi 
70fi
Note: See TracBrowser for help on using the repository browser.